Contents

# On Error GoTo ... Resume Statement

Omogućuje proceduru za upravljanje greškama nakon što se pojavi greška, ili nastavlja izvođenje programa.

### Syntax:

    On [Local] Error {GoTo Labelname | GoTo 0 | Resume Next}

### Parameters:

GoTo Labelname: If an error occurs, enables the error-handling routine that starts at the line "Labelname".

Resume Next: If an error occurs, program execution continues with the statement that follows the statement in which the error occurred.

GoTo 0: Disables the error handler in the current procedure.

Local: Optional. The keyword is a reminder the statement is local to the routine which invokes it; when the routine exits, this error handling is canceled automatically.

### Example:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNumber, "This is a line of text"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "All files will be closed",  0,  "Error"
    End Sub

Related Topics

Error-Handling Functions

Open Statement

Please support us!